Flext class header

## Macros

#define | FLEXT_HEADER(NEW_CLASS, PARENT_CLASS)
| Plain flext class header.
#define | FLEXT_HEADER_T(NEW_CLASS, PARENT_CLASS)
#define | FLEXT_HEADER_S(NEW_CLASS, PARENT_CLASS, SETUPFUN)
| Flext class header with setup function.
#define | FLEXT_HEADER_TS(NEW_CLASS, PARENT_CLASS, SETUPFUN)

## Detailed Description

Note
  One (and only one!) of these definitions is compulsory for the class declaration.
  It has to be placed somewhere in the class definition (not necessarily in a public section).

## Macro Definition Documentation

## FLEXT_HEADER

#define FLEXT_HEADER | ( |  | NEW_CLASS,
|  |  | PARENT_CLASS )

Value:
\
FLEXT_REALHDR(NEW_CLASS, PARENT_CLASS)

Plain flext class header.

Parameters

  NEW_CLASS | name of the current C++ class
  PARENT_CLASS | name of the base C++ class (e.g. flext_base or flext_dsp)

## FLEXT_HEADER_S

#define FLEXT_HEADER_S | ( |  | NEW_CLASS,
|  |  | PARENT_CLASS,
|  |  | SETUPFUN )

Value:
\
FLEXT_REALHDR_S(NEW_CLASS, PARENT_CLASS, SETUPFUN)

Flext class header with setup function.

Parameters

  NEW_CLASS | name of the current C++ class
  PARENT_CLASS | name of the base C++ class (e.g. flext_base or flext_dsp)
  SETUPFUN | setup function, of type "void (*setupfn)(t_class *)"

The setup function is called after class creation. It corresponds to the original PD "[object]_setup" function, apart from the fact that all necessary class initializations have already been taken care of by flext. The setup function can e.g. be used for a message to the console upon first creation of an object.

## FLEXT_HEADER_T

#define FLEXT_HEADER_T | ( |  | NEW_CLASS,
|  |  | PARENT_CLASS )

Value:
\
FLEXT_REALHDR_T(NEW_CLASS, PARENT_CLASS)

## FLEXT_HEADER_TS

#define FLEXT_HEADER_TS | ( |  | NEW_CLASS,
|  |  | PARENT_CLASS,
|  |  | SETUPFUN )

Value:
\
FLEXT_REALHDR_TS(NEW_CLASS, PARENT_CLASS, SETUPFUN)